/* ScianLib.h John R. Murray
 */

#ifdef PROTO
double MyClock();
void InitLib(char *);
void KillLib();
void IdleLib();
void LongIdleLib();
int AdvertiseInteger(int);
int AdvertiseCArray(char *, real *, int, ...);
int UpdateCArray(int, real *, int, ...);
int LibRunning();
#else
double MyClock();
void InitLib();
void KillLib();
void IdleLib();
void LongIdleLib();
int AdvertiseInteger();
int AdvertiseCArray();
int UpdateCArray();
int LibRunning();
#endif

extern int libRunning;

